library(dataiku)
install.packages('reshape')
library(reshape)

# Recipe inputs
data <- dkuReadDataset("covid_2019_2020_prepared_by_ADEC", samplingMethod="full")
data <- data[c("ADEC", "Hopital", "age", "count")]
data$age <- floor(data$age / 10) * 10

age_hop_y_pivot <- aggregate(cbind(count=data$count), by=list(age=data$age, Hopital=data$Hopital, ADEC=data$ADEC), FUN=sum)

age_hop_counts <- cast(age_hop_y_pivot, age + Hopital ~ ADEC)
age_hop_counts$diff <- age_hop_counts$"2020" - age_hop_counts$"2019"
age_hop_counts <- age_hop_counts[c("age", "Hopital", "diff")]

age_ratios <- cast(age_hop_counts, age ~ Hopital)
age_ratios$Hopital[is.na(age_ratios$Hopital)] <- 0
age_ratios$"Autre lieu"[is.na(age_ratios$"Autre lieu")] <- 0

age_ratios$ratio <- age_ratios$Hopital / (age_ratios$Hopital + age_ratios$"Autre lieu")
age_ratios$ratio[age_ratios$"Autre lieu" <= 0] <- NA
age_ratios$ratio[age_ratios$"Autre lieu" <= 0 & age_ratios$Hopital > 0] <- 1
age_ratios$ratio[age_ratios$"Autre lieu" > 0 & age_ratios$Hopital < 0] <- 0
age_ratios$ratio <- age_ratios$ratio * 100

surmortalite_R <- age_ratios # For this sample code, simply copy input to output

# Recipe outputs
dkuWriteDataset(surmortalite_R,"surmortalite_R")
